package com.hys.app.model.erp.configs;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 配置
 *
 * @author zh
 * @version v7.0
 * @date 18/4/13 下午8:19
 * @since v7.0
 */
@Configuration
@ConfigurationProperties(prefix = "erp")
@EnableAutoConfiguration(exclude = {DataSourceAutoConfiguration.class})
@SuppressWarnings("ConfigurationProperties")
@Data
public class KuangShiConfig {


    @Value("${kuangshi.apikey}")
    private String apikey;

    @Value("${kuangshi.apiSecret}")
    private String apiSecret;

    @Value("${kuangshi.idCardUrl}")
    private String idCardUrl;

    @Value("${kuangshi.licenseUrl}")
    private String licenseUrl;

}
