package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.controller.erp.use.msg.MessageReceiveTypeEnum;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 消息接收实体类
 *
 * @author 张崧
 * @since 2023-12-19 17:41:37
 */
@TableName("erp_message_receive")
@Data
public class MessageReceiveDO extends BaseDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "type", value = "消息类型")
    private MessageReceiveTypeEnum type;

    @ApiModelProperty(name = "content", value = "消息内容")
    private String content;


    @ApiModelProperty(name = "status", value = "状态")
    private Boolean status =false;

    private Long userId;

    private String phone;

    private String mail;

    private String openid;


}
