package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.model.erp.enums.MsgTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 短信模板实体
 *
 * @author zhangsong
 * @version v1.0
 * @since v7.3.0
 * 2021-01-26 16:04:22
 */
@TableName("erp_mail_sms_template")
@ApiModel
@Data
public class SmsMailTemplate extends BaseDO implements Serializable {

    private static final long serialVersionUID = 6526154401398092L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    private Long pid;
    /**
     * 模板类型短信还是邮件
     */
    @ApiModelProperty("模板类型短信还是邮件")
    private MsgTypeEnum type;
    /**
     * 自定义模板code
     */
    @ApiModelProperty("自定义模板code")
    private String code;
    /**
     * 短信类型，0为验证码，1为短信通知，2为推广短信
     */
    @ApiModelProperty("短信类型，0为验证码，1为短信通知，2为推广短信")
    private Integer templateType;
    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    private String name;
    /**
     * 模板内容
     */
    @ApiModelProperty("模板内容")
    private String content;
    /**
     * 模板申请说明
     */
    @ApiModelProperty("模板申请说明")
    private String remark;
    /**
     * 短信模板code
     */
    @ApiModelProperty("短信模板code")
    private String templateCode;
    /**
     * 第三方审核状态
     */
    @ApiModelProperty("第三方审核状态")
    private Boolean auditStatus;
    /**
     * 是否启用
     */
    @ApiModelProperty("是否启用")
    private Boolean enableStatus;
    /**
     * 审核未通过原因
     */
    @ApiModelProperty("审核未通过原因")
    private String failReason;
}