package com.hys.app.model.erp.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.erp.dos.ProductDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 产品新增/编辑DTO
 *
 * @author 张崧
 * 2023-11-30 16:06:44
 */
@Data
public class ProductDTO {

    @ApiModelProperty(name = "name", value = "产品名称")
    @NotBlank(message = "商品名称不能为空")
    private String name;

    @ApiModelProperty(name = "name", value = "品牌")
    private String brand;

    @ApiModelProperty(name = "barCode", value = "条码")
    private String barCode;

    @ApiModelProperty(name = "sku", value = "sku")
    private String sku;

    @ApiModelProperty(name = "image", value = "产品图片")
    private String image;

    @ApiModelProperty(name = "weight", value = "重量")
    private Double weight;

    @ApiModelProperty(name = "unit", value = "单位")
    private String unit;

}

