package com.hys.app.model.erp.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.Map;

/**
 * 公司表
 */
@Getter
@Setter
public class CompanyDO {
    /**
     * 名称
     */
    @ApiModelProperty("公司名称")
    @NotBlank(message = "公司名称不能为空")
    private String name;
    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    @NotBlank(message = "营业执照不能为空")
    private String license;

    /**
     * 营业执照信息
     */
    private Map licenseMsg;

    /**
     * 身份证正面
     */
    private String idCardFront;
    /**
     * 身份证正面信息
     */
    private Map idCardMsgFront;

    /**
     * 身份证反面
     */
    private String idCardOpposite;
    /**
     * 身份证反面信息
     */
    private Map idCardMsgOpposite;

    private  String idCardNum;

    private String idCardtime;

    /**
     * 统一社会性用代码
     */
    @ApiModelProperty("统一社会性用代码")
    @NotBlank(message = "统一社会性用代码不能为空")
    private String creditCode;
    /**
     * 行业
     */
    @ApiModelProperty("行业")
    @NotBlank(message = "行业不能为空")
    private String industry;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    @NotBlank(message = "地址不能为空")
    private String address;
    /**
     * 省
     */
    @ApiModelProperty("省")
    @NotBlank(message = "省不能为空")
    private String province;
    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    private String postalCode;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    @NotBlank(message = "联系人不能为空")
    private String userName;
    /**
     * 联系人电话
     */
    @ApiModelProperty("联系人电话")
    @NotBlank(message = "联系人电话不能为空")
    private String phone;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 官网
     */
    @ApiModelProperty("官网")
    private String website;

    @ApiModelProperty("套餐id")
    @NotNull(message = "套餐不能为空")
    private Long companyPackageId;

    @NotNull(message = "验证码不能为空")
    private String checkCodeKey;

    @NotNull(message = "验证码不能为空")
    private String checkCode;

    //商家的收款信息
    private String aliAppId;

    private String aliAppPrivateKey;

    private  String aliAlipayPublicKey;

    private  String wxSubMchId;




}
