package com.hys.app.model.erp.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 公司表
 */
@Getter
@Setter
public class CompanyUpdateDO {
    /**
     * 行业
     */
    @ApiModelProperty("行业")
    @NotBlank(message = "行业不能为空")
    private String industry;
    /**
     * 地址
     */
    @ApiModelProperty("地址")
    @NotBlank(message = "地址不能为空")
    private String address;
    /**
     * 省
     */
    @ApiModelProperty("省")
    @NotBlank(message = "省不能为空")
    private String province;

    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    private String postalCode;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    @NotBlank(message = "联系人不能为空")
    private String userName;
    /**
     * 联系人电话
     */
    @ApiModelProperty("联系人电话")
    @NotBlank(message = "联系人电话不能为空")
    private String phone;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 官网
     */
    @ApiModelProperty("官网")
    private String website;

    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    @NotBlank(message = "营业执照不能为空")
    private String license;


}
