package com.hys.app.model.system.dto;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统日志查询条件
 * @author fk
 * @version v2.0
 * @since v2.0
 * 2021-03-22 16:05:59
 */
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
@Data
public class SystemLogsParam {

    @ApiModelProperty(value = "页码", name = "page_no")
    private Long pageNo;

    @ApiModelProperty(value = "分页数", name = "page_size")
    private Long pageSize;

    @ApiModelProperty(value = "模糊查询的关键字", name = "keyword")
    private String keyword;

    @ApiModelProperty(value = "开始时间", name = "start_time")
    private Long startTime;

    @ApiModelProperty(value = "起止时间", name = "end_time")
    private Long endTime;

    @ApiModelProperty(value = "日志级别,normal:一般,important重要", name = "level", allowableValues = "normal,important")
    private String level;

    @ApiModelProperty(value = "商家id", name = "seller_id", hidden = true)
    private Long sellerId;

    private Long companyId;
}
