package com.hys.app.service.erp;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.ProductDO;
import com.hys.app.model.erp.dos.ProductGroupDO;
import com.hys.app.model.erp.dto.*;
import com.hys.app.model.erp.vo.ProductStockVO;
import com.hys.app.model.erp.vo.ProductVO;
import com.hys.app.model.erp.vo.TransitVO;

import java.util.List;

/**
 * 产品业务层接口
 *
 * @author 张崧
 * 2023-11-30 16:06:44
 */
public interface ProductManager extends BaseService<ProductDO> {
    /**
     * 分页列表
     *
     * @param queryParams 查询条件
     * @return 分页数据
     */
    IPage<ProductDO> list(ProductQueryParams queryParams);

    /**
     * 查询详情
     *
     * @param id
     * @return
     */
    ProductVO getDetail(String id);

    /**
     * 添加
     */
    void add(Long id);

    /**
     * 设置库存预警
     *
     * @param stockId
     * @param warnNum
     * @return
     */
    void updateWarnStock(List<Long> stockId, Integer warnNum);

    /**
     * 新增商品
     *
     * @param productDTO
     */

    void addProduct(ProductDTO productDTO);

    /**
     * 修改商品
     *
     * @param productDTO
     * @param id
     */
    void updateProduct(ProductDTO productDTO, Long id);

    /**
     * 删除商品
     *
     * @param id
     */
    void deletedProduct(Long id);
}

